%define major 1
%define libxcomposite %mklibname xcomposite %{major}
%define devxcomposite %mklibname xcomposite -d

Name: libxcomposite
Summary: X Composite Library
Version: 0.4.5
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXcomposite-%{version}.tar.bz2
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xfixes) >= 3.0.1.2
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Composite Library

#-----------------------------------------------------------

%package -n %{libxcomposite}
Summary: X Composite Library
Group: Development/X11
Provides: %{name} = %{version}
Provides: libXcomposite%_isa = %{version}

%description -n %{libxcomposite}
X Composite  Library

%files -n %{libxcomposite}
%{_libdir}/libXcomposite.so.%{major}
%{_libdir}/libXcomposite.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxcomposite}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxcomposite} = %{version}-%{release}
Provides: libxcomposite-devel = %{version}-%{release}
Obsoletes: %{_lib}xcomposite1-devel < 0.4.4-4
Obsoletes: %{_lib}xcomposite1-static-devel < 0.4.4-4

%description -n %{devxcomposite}
Development files for %{name}

%files -n %{devxcomposite}
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%{_includedir}/X11/extensions/Xcomposite.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXcomposite-%{version}

%build
#to recognize aarch64
autoreconf -vfi

%configure	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Tue Aug 18 2020 tv <tv> 0.4.5-3.mga8
+ Revision: 1615349
- temporary provides libXcomposite%%_isa in order to unbreak java-1.8.0-openjdk
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 0.4.5-2.mga8
+ Revision: 1523594
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 11 2019 tv <tv> 0.4.5-1.mga7
+ Revision: 1374147
- new release

* Sun Sep 23 2018 umeabot <umeabot> 0.4.4-10.mga7
+ Revision: 1299237
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.4.4-9.mga7
+ Revision: 1233861
- use new make macros
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 0.4.4-8.mga6
+ Revision: 935455
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-7.mga5
+ Revision: 747084
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-6.mga5
+ Revision: 681869
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.4-5.mga4
+ Revision: 532716
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 0.4.4-4.mga4
+ Revision: 469432
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 0.4.4-3.mga3
+ Revision: 397151
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 358518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 0.4.4-1.mga3
+ Revision: 338942
- new release

* Mon Nov 21 2011 fwang <fwang> 0.4.3-2.mga2
+ Revision: 170266
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 0.4.3-1.mga1
+ Revision: 6618
- imported package libxcomposite

